import { Tab, Tabs } from "vant";
import { defineComponent, ref } from "vue";
import styles from "./index.module.less";
import Album from "./Album";
import Music from "./Music";
export default defineComponent({
  name: "searchList",
  setup(props, ctx) {
    const tabActive = ref("album");
    return () => (
      <div class={styles.searchList}>
        <Tabs
          shrink
          v-model:active={tabActive.value}
          color="var(--van-primary-color)"
          line-width="26px"
          swipeable
          animated
        >
          <Tab title="专辑" name="album">
            <div class={styles.container}>
              <Album />
            </div>
          </Tab>
          <Tab title="曲目" name="music">
            <div class={styles.container}>
              <Music />
            </div>
          </Tab>
        </Tabs>
      </div>
    );
  },
});
